/************************************************************************ 
  Copyright 2011-2012, IceJS Team. All rights reserved.
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions are
  met:
  
      * Redistributions of source code must retain the above copyright
        notice, this list of conditions and the following disclaimer.
      * Redistributions in binary form must reproduce the above
        copyright notice, this list of conditions and the following
        disclaimer in the documentation and/or other materials provided
        with the distribution.
      * Neither the name of Update Freezer Team nor the names of its
        contributors may be used to endorse or promote products derived
        from this software without specific prior written permission.
  
  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ***********************************************************************/
 
function Log(text)
{
	return _Log(text); 
}

function Log1(text)
{
	return _Log(text); 
}

function Log2(text)
{
	return _Log(text); 
}

function Log3(text)
{
	return _Log(text); 
}

function Error(text)
{
	_Log("error: " + text)
}

function Warning(text)
{
	_Log("warning: " + text);
}

var l0 = true;
var l1 = true;
var l2 = false;
var l3 = false;

if (typeof(Util) == "undefined")
	Util = {};

// Include all other files in Wrappers folder
if (l2)	Log2("Including wrappers:");
var files = _GetFilesInFolder(_GetCurrentDirectory() + "/Wrappers");
for(var i = 0; i < files.length; i++)
{
	var fileName = files[i];
	if (fileName != "Common.js")
	{
		if (l2)	Log2(fileName);
		Include("Wrappers/" + fileName);
	}
}

function Depends(filePath)
{
	if(typeof(_dependencies)!="undefined")
	{
		_dependencies[filePath] = {name: filePath, path: Util.IO.CombinePath(Util.IO.GetCurrentDirectory(), filePath)};
	}
}

